# ARBTextureSwizzle (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBTextureSwizzle

    java.lang.Object
      org.lwjgl.opengl.ARBTextureSwizzle

    public final class ARBTextureSwizzle

extends java.lang.Object

Field Summary
`static int` `GL_TEXTURE_SWIZZLE_A` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_SWIZZLE_B` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_SWIZZLE_G` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_SWIZZLE_R` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_SWIZZLE_RGBA` Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_SWIZZLE_R

    public static final int GL_TEXTURE_SWIZZLE_R

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_SWIZZLE_G

    public static final int GL_TEXTURE_SWIZZLE_G

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_SWIZZLE_B

    public static final int GL_TEXTURE_SWIZZLE_B

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_SWIZZLE_A

    public static final int GL_TEXTURE_SWIZZLE_A

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_SWIZZLE_RGBA

    public static final int GL_TEXTURE_SWIZZLE_RGBA

  Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.